---
title: "Get doc group templates"
url: "https://docs.signnow.com/docs/document-group-template/operations/get-user-documentgroup-templates"
type: "endpoint"
section: "document-group-template"
slug: "document-group-template/operations/get-user-documentgroup-templates"
method: "GET"
path: "/user/documentgroup/templates"
operation_id: "get-user-documentgroup-templates"
authorization: "bearer"
---

# Get doc group templates

`GET /user/documentgroup/templates`

This endpoint is used for getting document group templates.


## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | string | Yes | The number of templates to get |
| `offset` | string | No | The number of templates to skip from the first one. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {}
}
```

## Responses

### 200

Correct request with limit = 2

**Example** (`Example 1`)

```json
{
  "document_group_templates": [
    {
      "folder_id": null,
      "templates": [
        {
          "id": "a8f84795001f4add81dc8efc45d97fdeed9a00aa",
          "name": "Test_PDF 1 T",
          "roles": [
            "Signer 1",
            "Signer 2"
          ],
          "thumbnail": {
            "large": "https://app.signnow.com/api/document/a8f84795001f4add81dc8efc45d97fdeed9a00aa/thumbnail?size=large",
            "small": "https://app.signnow.com/api/document/a8f84795001f4add81dc8efc45d97fdeed9a00aa/thumbnail?size=small",
            "medium": "https://app.signnow.com/api/document/a8f84795001f4add81dc8efc45d97fdeed9a00aa/thumbnail?size=medium"
          }
        },
        {
          "id": "40179e8d7f684f07a7fef04719e8a2ff0d18a1a0",
          "name": "Test_PDF 1 Template SalesForce 2",
          "roles": [
            "Igor",
            "Signer 1"
          ],
          "thumbnail": {
            "large": "https://app.signnow.com/api/document/40179e8d7f684f07a7fef04719e8a2ff0d18a1a0/thumbnail?size=large",
            "small": "https://app.signnow.com/api/document/40179e8d7f684f07a7fef04719e8a2ff0d18a1a0/thumbnail?size=small",
            "medium": "https://app.signnow.com/api/document/40179e8d7f684f07a7fef04719e8a2ff0d18a1a0/thumbnail?size=medium"
          }
        }
      ],
      "is_prepared": false,
      "owner_email": "kulygin.denys@pdffiller.team",
      "last_updated": "1634828541",
      "routing_details": {
        "invite_steps": [
          {
            "order": 1,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "46f82586-c16b-463d-8835-52ce5c552e08",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "5507722db6654b11bd2223b83655443813f2013c",
                "document_name": "Test_PDF 1 from templ 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 2,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "070a1fe5-d0c6-41d9-800d-9ce14c6ba24f",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "5507722db6654b11bd2223b83655443813f2013c",
                "document_name": "Test_PDF 1 from templ 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 3,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "b9b6bc5d-8788-4cb2-95d3-84bfb069cf38",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "a8f84795001f4add81dc8efc45d97fdeed9a00aa",
                "document_name": "Test_PDF 1 T",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 4,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "2fdf4838-4937-43e0-8859-aa082efa53f6",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "a8f84795001f4add81dc8efc45d97fdeed9a00aa",
                "document_name": "Test_PDF 1 T",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 5,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "6e437866-ca76-473f-9094-38e116dbdbc5",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "40179e8d7f684f07a7fef04719e8a2ff0d18a1a0",
                "document_name": "Test_PDF 1 Template SalesForce 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 6,
            "invite_emails": [
              {
                "email": "mail+1@gmail.com",
                "message": "kulygin.denys@pdffiller.team invited you to sign some documents.",
                "subject": "DGT test: Signature Request from kulygin.denys",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "4f50d474-c62d-4620-9858-529b5fd8204d",
                "email": "mail+1@gmail.com",
                "action": "sign",
                "role_name": "Igor",
                "document_id": "40179e8d7f684f07a7fef04719e8a2ff0d18a1a0",
                "document_name": "Test_PDF 1 Template SalesForce 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          }
        ],
        "sign_as_merged": true,
        "include_email_attachments": null
      },
      "template_group_id": "31706abc6e50c977af03c1cacd3875a44fb679b9",
      "template_group_name": "DGT test"
    }
  ],
  "document_group_template_total_count": 1
}
```

**Example** (`Correct request with limit = 2`)

```json
{
  "document_group_templates": [
    {
      "folder_id": null,
      "templates": [
        {
          "id": "a8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "Sample template name",
          "roles": [
            "Signer 1",
            "Signer 2"
          ],
          "thumbnail": {
            "large": "https://sample.com/thumbnail?size=large",
            "small": "https://sample.com/thumbnail?size=small",
            "medium": "https://sample.com/thumbnail?size=medium"
          }
        },
        {
          "id": "40XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "Sample template name 2",
          "roles": [
            "Signer",
            "Signer 1"
          ],
          "thumbnail": {
            "large": "https://sample.com/thumbnail?size=large",
            "small": "https://sample.com/thumbnail?size=small",
            "medium": "https://sample.com/thumbnail?size=medium"
          }
        }
      ],
      "is_prepared": false,
      "owner_email": "owner@email.com",
      "last_updated": "1634828541",
      "routing_details": {
        "invite_steps": [
          {
            "order": 1,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "46XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "55XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 2,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "07XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "55XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 3,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "b9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "a8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 1",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 4,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "2fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "a8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 1",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 5,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "6eXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "40XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 6,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "4fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer",
                "document_id": "40XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          }
        ],
        "sign_as_merged": true,
        "include_email_attachments": null
      },
      "template_group_id": "31XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_group_name": "Sample name"
    }
  ],
  "document_group_template_total_count": 1
}
```

### 400

* Request without limit parameter, or not in range (1, 50)
* Incorrect offset parameter
* Invalid token

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The limit query parameter is required and must be between 1 and 50"
    }
  ]
}
```

**Example** (`Invalid token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Incorrect offset parameter`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The offset query parameter is required and must be 0 or greater"
    }
  ]
}
```

**Example** (`Without limit or not in range`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The limit query parameter is required and must be between 1 and 50"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/user/documentgroup/templates" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group-template/operations/get-user-documentgroup-templates*
